/*
 * Copyright (c) 2004, ADAPT project partners (IST-2001-37126).
 * 
 * RepositoryLocal.java
 */

package org.eu.adapt.demonstrator.eb.demo;

import java.util.Collection;
import javax.ejb.EJBException;
import javax.ejb.EJBLocalObject;

public interface RepositoryLocal extends EJBLocalObject
{
    public void setId(String id)
        throws EJBException;

    public String getId()
        throws EJBException;

    public Collection getLogEvents()
        throws EJBException;
}
